<!DOCTYPE html>
<html>
<head>
   <title>Patern 25</title>
</head>
<body>
   <script>
      var output;
      var jmlBaris = 4;
      var jmlKolom = jmlBaris;
      var frontSpace = 0;
      for (let i = 0; i <= jmlBaris; i++) {
         output = '';
         
         if (i == 0 || i == jmlBaris) {
            for (let l = frontSpace; l > 0; l--) {
               output = output + '&nbsp;&nbsp;';         
            }
            for (let k = 0; k <= jmlKolom; k++) {
               output = output + '*';
            }
         } else {
            for (let k = 0; k <= jmlBaris; k++) {
               if (k == 0) {
                  for (let l = frontSpace; l > 0; l--) {
                     output = output + '&nbsp;&nbsp;';         
                  }
                  output = output + '*';
               } else if (k == jmlBaris) {
                  output = output + '*';
               } else {
                  output = output + '&nbsp;&nbsp;';
               }
            }
         }
         frontSpace++;
         document.writeln(output);         
         document.writeln('<br>');
         
      }
   </script>
</body>
</html>